org.appng.core.controller.messaging

## Class NodeEvent

- java.lang.Object
- - org.appng.api.messaging.Event
  - - org.appng.core.controller.messaging.NodeEvent

- All Implemented Interfaces:
    Serializable

      public class NodeEvent
      extends Event

  An `Event` that holds information about the current status of an node (system properties and environment,memory usage, state of sites).
  Author:
    Matthias Müller
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `NodeEvent.MemoryUsage`
    `class` | `NodeEvent.NodeState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NODE_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeEvent(Environment environment, String siteName)`
    `NodeEvent(Environment environment, String siteName, String nodeId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,NodeEvent.NodeState>` | `clusterState(Environment environment, String nodeId)`
    `void` | `perform(Environment environment, Site site)` Performs the event
    `protected void` | `setNodeId(String nodeId)`
    `static Map<String,Site.SiteState>` | `siteState(Environment env, String nodeId)`
    `String` | `toString()`

    - ### Methods inherited from class org.appng.api.messaging.Event

      `getNodeId, getSiteName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NODE_STATE

          public static final String NODE_STATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NodeEvent

          public NodeEvent(Environment environment,
                           String siteName)

    - #### NodeEvent

          public NodeEvent(Environment environment,
                           String siteName,
                           String nodeId)

  - ### Method Detail

    - #### setNodeId

          protected void setNodeId(String nodeId)

      Overrides:
        `setNodeId` in class `Event`

    - #### perform

          public void perform(Environment environment,
                              Site site)
                       throws InvalidConfigurationException

      Description copied from class: `Event`
      Performs the event
      Specified by:
        `perform` in class `Event`
      Parameters:
        `environment` - then `Environment` to use
        `site` - the `Site` where the event occurred
      Throws:
        `InvalidConfigurationException` - if there's a configuration error

    - #### clusterState

          public static Map<String,NodeEvent.NodeState> clusterState(Environment environment,
                                                                     String nodeId)

    - #### siteState

          public static Map<String,Site.SiteState> siteState(Environment env,
                                                             String nodeId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Event`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.